> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/submit-a-payout/colombia/qrcode.md).

# QRCODE

***

### Retrieve recipient data from QRCODE.

Retrieve the recipient's data by using the [API](https://docs.pagsmile.com/reference/payout/retrieve-qrcode-data/colombia).

### Submit a payout by QRCODE in Colombia.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by QRCODE in Colombia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform      |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type    | Description                                                                            |
| ---------------------------------------------------- | ------- | -------------------------------------------------------------------------------------- |
| amount<mark style="color:red;">\*</mark>             | integer | <p>Payout Amount.</p><p>- Min 1,000, Max 2,000,000 -</p>                               |
| source\_currency<mark style="color:red;">\*</mark>   | string  | <p>Merchant Account Currency<br>- One of: USD, EUR, GBP -</p>                          |
| arrival\_currency<mark style="color:red;">\*</mark>  | string  | Fixed value: COP                                                                       |
| fee\_bear<mark style="color:red;">\*</mark>          | string  | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p> |
| account\_type<mark style="color:red;">\*</mark>      | string  | <p>Beneficiary's account type<br>- Fixed value: QRCODE -</p>                           |
| account<mark style="color:red;">\*</mark>            | string  | <p>Beneficiary's QRCode<br>- Max 600 -</p>                                             |
| custom\_code<mark style="color:red;">\*</mark>       | string  | <p>Merchant Payout ID<br>- Max. 50 chars -</p>                                         |
| notify\_url<mark style="color:red;">\*</mark>        | string  | Where Pagsmile will send notification to.                                              |
| method<mark style="color:red;">\*</mark>             | string  | Fixed value: QRCODE                                                                    |
| additional\_remark<mark style="color:red;">\*</mark> | string  | <p>Descriptor on the user's bank bill<br>- Max length: 40 -</p>                        |
| country<mark style="color:red;">\*</mark>            | string  | COL for Colombia                                                                       |
| scan\_id<mark style="color:red;">\*</mark>           | string  | The scan\_id is valid for 5 minutes after retrieval and can be used only once          |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```json
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code********uG",
        "arrival_amount": "1000.00",
        "arrival_currency": "COP",
        "source_amount": "0.25",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```json
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```json
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```json
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```json
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        "...": "..."
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```json
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        "...": "..."
    }
}
```

{% endtab %}
{% endtabs %}

### Example

```bash
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": "1000",
    "source_currency": "USD",
    "arrival_currency": "COP",
    "fee_bear": "merchant",
    "account_type": "QRCODE",
    "account": "00020101021226310014CO.COM.RBM.LLA0409@000********",
    "custom_code": "custom_code********uG",
    "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
    "method": "QRCODE",
    "additional_remark": "from test",
    "country": "COL",
    "scan_id": "QH2026********"
}'
```

{% hint style="info" %}
Note: ***94FAC***\*\*\*\*\*\*\*\*\*\*\*\*\*\*\****68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}
